Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.util
Class ObjLocator

    java.lang.Object
      org.jboss.soa.esb.util.ObjLocator

All Implemented Interfaces:
  java.io.Serializable

    public class ObjLocator

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ObjLocator(long p_lUid, java.lang.Object[] p_sa)`

Method Summary
`boolean` | `equals(java.lang.Object p_o)`
`static ObjLocator` | `find(long p_l, ObjLocator[] p_ola)`
`java.lang.Object` | `get(int p_iCol)`
`int` | `getColumnCount()`
`java.lang.String[]` | `getStrings()`
`long` | `getUid()`
`static long[]` | `getUids(ObjLocator[] p_ola)`
`void` | `set(int p_iCol, java.lang.Object p_o)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjLocator

    public ObjLocator(long p_lUid,
                      java.lang.Object[] p_sa)

Method Detail

### getUid

    public long getUid()

### getStrings

    public java.lang.String[] getStrings()

### getColumnCount

    public int getColumnCount()

### get

    public java.lang.Object get(int p_iCol)

### set

    public void set(int p_iCol,
                    java.lang.Object p_o)

### equals

    public boolean equals(java.lang.Object p_o)

  Overrides:
    `equals` in class `java.lang.Object`

### find

    public static ObjLocator find(long p_l,
                                  ObjLocator[] p_ola)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getUids

    public static long[] getUids(ObjLocator[] p_ola)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD